%global xdriinfo xdriinfo-1.0.4
%global demodir %{_libdir}/mesa

Summary: Mesa demos
Name: mesa-demos
Version: 9.0.0
Release: 3%{?dist}
License: MIT
URL: http://www.mesa3d.org
Source0: https://archive.mesa3d.org/demos/%{name}-%{version}.tar.xz
Source1: http://www.x.org/pub/individual/app/%{xdriinfo}.tar.bz2

# for pointblast/spriteblast/dinoshade out for legal reasons
Patch3000: mesa-demos-8.5.0-legal.patch
# to install glsl demos data
Patch3001: mesa-demos-system-data.patch
# Fix xdriinfo not working with libglvnd
Patch3002: xdriinfo-1.0.4-glvnd.patch

BuildRequires: meson gcc gcc-c++ pkgconfig freeglut-devel glslang mesa-libGL-devel
BuildRequires: mesa-libEGL-devel mesa-libGLES-devel mesa-libgbm-devel libGLU-devel
BuildRequires: libXext-devel libdecor-devel libxcb-devel libxkbcommon-devel
BuildRequires: libxkbcommon-x11-devel vulkan-loader-devel wayland-devel
BuildRequires: wayland-protocols-devel freetype-devel make autoconf automake libtool

%description
This package provides some demo applications for testing Mesa.

%package -n glx-utils
Summary: GLX utilities
Provides: glxinfo

%description -n glx-utils
The glx-utils package provides the glxinfo and glxgears utilities.

%package -n egl-utils
Summary: EGL utilities
Provides: eglinfo es2_info

%description -n egl-utils
The egl-utils package provides the eglinfo and es2_info utilities.



%prep
%setup -q -n %{name}-%{version} -b1
%patch3000 -p1 -b .legal
%patch3001 -p1 -b .asneeded
pushd ../%{xdriinfo}
%patch3002 -p1
popd

rm -rf src/demos/pointblast.c
rm -rf src/demos/spriteblast.c


%build
%meson \
    --bindir=%{demodir} \
    -Dwith-system-data-files=true \
    -Dx11=enabled \
    -Dwayland=enabled \
    -Degl=enabled \
    -Dgles2=enabled \
    -Dvulkan=enabled \
    -Dlibdrm=enabled \
    -Dosmesa=disabled

%meson_build

pushd ../%{xdriinfo}
%configure
%make_build
popd

%install
%meson_install

pushd ../%{xdriinfo}
%make_install %{?_smp_mflags}
popd

install -m 0755 %{_vpath_builddir}/src/xdemos/glxgears %{buildroot}%{_bindir}
install -m 0755 %{_vpath_builddir}/src/xdemos/glxinfo %{buildroot}%{_bindir}
install -m 0755 %{_vpath_builddir}/src/xdemos/glxinfo %{buildroot}%{_bindir}/glxinfo%{?__isa_bits}
install -m 0755 %{_vpath_builddir}/src/egl/opengl/eglinfo %{buildroot}%{_bindir}
install -m 0755 %{_vpath_builddir}/src/egl/opengles2/es2_info %{buildroot}%{_bindir}

%check


%files
%{demodir}
%{_datadir}/%{name}/

%files -n glx-utils
%{_bindir}/glxinfo*
%{_bindir}/glxgears
%{_bindir}/xdriinfo
%{_datadir}/man/man1/xdriinfo.1*

%files -n egl-utils
%{_bindir}/eglinfo
%{_bindir}/es2_info



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Shuo Wang <abushwang@tencent.com> - 9.0.0-1
- update to 9.0.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.0-3.20210504git0f9e7d9
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.0-2.20210504git0f9e7d9
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 2 2022 Zhao Zhen <jeremiazhao@tencent.com> - 8.4.0-1.20210504git0f9e7d9
- initial
